Skip to main content
GET
/
core
/
v3
/
entity-groups
List entity groups
curl --request GET \
  --url https://api-{region}.sesametime.com/core/v3/entity-groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "groupId": "<string>",
      "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "showGroup": true,
      "costCenter": true,
      "employeesCount": 123
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

entityGroupId
string<uuid>

finds an entity group by entityGroupId

employeeId
string<uuid>

finds entity groups by employeeId

name[contains]
string
default:""

finds by name, can be exact name without [contains]

parentId
string<uuid>

if it is a subgroup you can find it by parentId

limit
integer

Limit assignations

page
integer

Request a specific page

Response

200 - application/json

Array of objects

data
object[]
meta
object